from tifffile import *
im = imread('cut-append-7pc.tif', key=0)

# This code is super inefficient so we can save time by hardcoding minval/maxval
# after the first run.
if False:
    minval = 100000
    maxval = -100000
    for row in im:
        for val in row:
            val = val[0]
            #print val
            if val < 0 or val >= 8000:
                pass
            elif val < minval:
                minval = val
            elif val > maxval:
                maxval = val
    print(minval, maxval)
else:
    minval = 0
    maxval = 4326

sealevelin = 0
lowlandout = (0/21.0) * 32767
assert sealevelin >= minval
for row in im:
    for i, val in enumerate(row):
        val = val[0]
        #print val
        if val <= -30000 or (val >= 8000 and val != 32768):
            print "XXX", val
            row[i] = [32767,0,0]
        elif val <= 0 or val >= 8000:
            row[i] = [0, 0, 0]
        elif val <= sealevelin:
            row[i] = [0, 0, 0]
        else:
            #row[i] = [val] * 3
            row[i] = [max(lowlandout, 32767 * float(val - sealevelin) / (maxval - sealevelin))]*3
imsave('uncropped-showing-voids.tif', im)
